#
# spec file for package taglib-extras
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           taglib-extras
Version:        1.0.1
Release:        lp152.4.1
Summary:        Extra plugins for TagLib
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            https://amarok.kde.org
Source0:        taglib-extras-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM taglib-extras-fix-findtaglib-1_10.patch mlin@suse.com -- fix wrong string comparison of version number
Patch0:         taglib-extras-fix-findtaglib-1_10.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  taglib-devel >= 1.6
Obsoletes:      taglib-extras < %{version}
Provides:       taglib-extras = %{version}

%description
Unofficial TagLib file type plugins maintained by the Amarok project

%package devel
Summary:        Extra plugins for TagLib
Group:          Development/Libraries/C and C++
Requires:       libstdc++-devel
Requires:       libtag-extras1 = %{version}

%description devel
Unofficial TagLib file type plugins maintained by the Amarok project

%package -n libtag-extras1
Summary:        Extra plugins for TagLib
Group:          System/GUI/KDE

%description -n libtag-extras1
Unofficial TagLib file type plugins maintained by the Amarok project

%prep
%setup -q
%patch0 -p1

%build
%cmake ..
make %{?_smp_mflags} VERBOSE=1

%install
%cmake_install

%post -n libtag-extras1 -p /sbin/ldconfig
%postun -n libtag-extras1 -p /sbin/ldconfig

%files -n libtag-extras1
%license COPYING.LGPL
%doc AUTHORS ChangeLog
%{_libdir}/libtag-extras*.so.*

%files -n taglib-extras-devel
%license COPYING.LGPL
%doc AUTHORS ChangeLog
%{_bindir}/taglib-extras-config
%{_includedir}/taglib-extras
%{_libdir}/libtag-extras*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Apr  1 2019 wbauer@tmo.at
- Drop unused libkde4-devel BuildRequires, the KDE4 integration has
  been removed upstream in 1.0
- BuildRequire cmake and gcc-c++ instead that are needed for
  building and were implicitly pulled in by libkde4-devel
- Remove unrecognized cmake options
- Use %%cmake macro instead of calling cmake directly
- Run spec-cleaner
* Tue Jan  5 2016 mlin@suse.com
- Add taglib-extras-fix-findtaglib-1_10.patch
  * The version check did string comparison, which caused 1.10 to be smaller
    than 1.x when x is a single digit. https://websvn.kde.org/?view=revision&revision=1444333
* Fri May 20 2011 pascal.bleser@opensuse.org
- get rid of taglib-extras subpackage, it was empty besides documentation files
  anyway
- fix BuildRequires to build properly on Evergreen_11.2
* Fri Jan 29 2010 llunak@novell.com
- adjust requirements
* Tue Oct 20 2009 tittiatcoke@gmail.com
- Update to 1.0.1:
  BUGFIXES:
  * Fix issue where old mp4 files written by iTunes used ID3v1-style numeric
    genre identifiers and were not properly read.
  * Compatible with TagLib 1.6. Removes redundant formats. Also changes the
    namespace to remove potential compatibility problems with TagLib in the
    future.
  * Fix some exports. Thanks to Patrick Spendrin for the fix.
* Sun Oct 18 2009 beineri@opensuse.org
- libtag-extras0 shouldn't require empty taglib-extras package
  (bnc#543498)
* Mon Aug  3 2009 beineri@opensuse.org
- update to 0.1.6: Fix crash on corrupted mp4 files
* Sat Jul 25 2009 beineri@opensuse.org
- update to 0.1.5: fix 64-bit field file-handling crash
* Sat Jun 13 2009 beineri@opensuse.org
- update to 0.1.4: fix possible mp4 file-handling crash
* Wed May 20 2009 coolo@suse.de
- fix package split
* Wed May  6 2009 beineri@opensuse.org
- update to 0.1.3 release: fix mp4 file-handling crash on some mp4
* Tue Mar 24 2009 shrikantkhare@gmail.com
- update to version 0.1.0svn943962
* Thu Mar 19 2009 shrikantkhare@gmail.com
- initial package, version 0.1.0
